﻿using UnityEngine;
using System.Collections;

// Made specifically for the player object
// This is used anywhere ingame aswell as in character creation
public class setAppearance : MonoBehaviour {

	private Sprite curFace;
	private Sprite curHead;
	private Sprite curLegs;

	private GameObject head;
	private GameObject face;
	private GameObject body;
	private GameObject legR; // looking AT the player right
	private GameObject legL; // looking AT the player left
	private GameObject arm;


	void Start () {
		face = transform.FindChild("face").gameObject;
		head = transform.FindChild("head").gameObject;
		legR = transform.FindChild("legR").gameObject;
		legL = transform.FindChild("legL").gameObject;
		update ();
	}

	void update(){
		face.GetComponent<SpriteRenderer> ().sprite = curFace;
		head.GetComponent<SpriteRenderer> ().sprite = curHead;
		legR.GetComponent<SpriteRenderer> ().sprite = curLegs; // two legs, do twice
		legL.GetComponent<SpriteRenderer> ().sprite = curLegs;
	}

	void setFace(Sprite newFace){
		curFace = newFace;
	}

	void setHead(Sprite newHead){
		curHead = newHead;
	}

	void setLegs(Sprite newLegs){
		curLegs = newLegs;
	}
}
